[PATCH 1/1] fix regress/multiplex.sh

Christian Hesse list at eworm.de
Thu Jul 24 19:32:26 EST 2014


From: Christian Hesse <mail at eworm.de>

commit 04f4824 removed the wrong line, so fix this
---
 regress/multiplex.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/regress/multiplex.sh b/regress/multiplex.sh
index fc32d13..693211b 100644
--- a/regress/multiplex.sh
+++ b/regress/multiplex.sh
@@ -165,8 +165,8 @@ echo "" | $NC -U $OBJ/unix-1.fwd | grep "Protocol mismatch" >/dev/null 2>&1 \
      || fail "connect to remote forwarded path failed"
 ${SSH} -F $OBJ/ssh_config -S $CTL -Ocancel -R $OBJ/unix-1.fwd:localhost:$PORT otherhost \
      || fail "cancel remote forward failed"
-N=$(echo "" | $NC -U $OBJ/unix-1.fwd 2>&1 | wc -l)
 N=$(echo "xyzzy" | $NC -U $OBJ/unix-1.fwd 2>&1 | grep "xyzzy" | wc -l)
+test ${N} -eq 0 || fail "remote forward path still listening"
 rm -f $OBJ/unix-1.fwd
 
 verbose "test $tid: cmd exit"
-- 
2.0.2



More information about the openssh-unix-dev mailing list